#include <stdarg.h>
#include <stdio.h>
#include <syslog.h>
#include <ctype.h>

extern int g_syslog;
extern int g_verbose;

void _logf( int prio, const char * format, ... )
{
    va_list  arg;

    if( g_verbose || ( prio < LOG_INFO ) )
    {
	va_start( arg, format );
	if( g_syslog ) vsyslog( prio, format, arg );
	else           vfprintf( stderr, format, arg );
	va_end( arg );
    }
}
