#ifndef __RFCOMM_H__
#define __RFCOMM_H__

#define AG_FEATURE_THREE_WAY_CALLING		( 1 << 0 )
#define AG_FEATURE_EC_NR_FUNCTION		( 1 << 1 )
#define AG_FEATURE_VOICE_RECOGNITION		( 1 << 2 )
#define AG_FEATURE_IN_BAND_RINGTONE		( 1 << 3 )
#define AG_FEATURE_VOICE_TAG			( 1 << 4 )
#define AG_FEATURE_REJECT_CALL			( 1 << 5 )
#define AG_FEATURE_ENHANCED_CALL_STATUS		( 1 << 6 )
#define AG_FEATURE_ENHANCED_CALL_CONTROL	( 1 << 7 )
#define AG_FEATURE_EXTENDED_ERROR_CODES		( 1 << 8 )

#define HF_FEATURE_EC_NR_FUNCTION		( 1 << 0 )
#define HF_FEATURE_THREE_WAY_CALLING		( 1 << 1 )
#define HF_FEATURE_CLI_PRESENTATION		( 1 << 2 )
#define HF_FEATURE_VOICE_RECOGNITION		( 1 << 3 )
#define HF_FEATURE_REMOTE_VOLUME_CTRL		( 1 << 4 )
#define HF_FEATURE_ENHANCED_CALL_STATUS		( 1 << 5 )
#define HF_FEATURE_ENHANCED_CALL_CONTROL	( 1 << 6 )

extern uint32_t		hf_features;

int rfcomm_do_connect( char * addr, uint8_t channel );
int rfcomm_send_cmd( int fd, const char * format, ... );
int rfcomm_engine_do( int fd, char * s, int len );

#endif
