#ifndef __AUDIO_H__
#define __AUDIO_H__

#define PCM_SAMPLE_SIZE		2	/* 16 bit samples */
#define PCM_SAMPLE_RATE		8000	/* 8 kHz sample rate */
#define PCM_FRAME_mS		20	/* 20 mS frame */
#define PCM_SAMPLES_IN_FRAME	( PCM_SAMPLE_RATE * PCM_FRAME_mS / 1000 )
#define PCM_FRAME_SIZE		( PCM_SAMPLES_IN_FRAME * PCM_SAMPLE_SIZE )

int  dsp_open( char * name, int verbose );
int  dsp_play( short * data, int len );
void dsp_close( void );

#endif
